/* sane - Scanner Access Now Easy.
	Copyright (C) 2005 Mustek.
	Originally maintained by Mustek
	Author:Roy 2005.5.24

	This file is part of the SANE package.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.

	As a special exception, the authors of SANE give permission for
	additional uses of the libraries contained in this release of SANE.

	The exception is that, if you link a SANE library with other files
	to produce an executable, this does not by itself cause the
	resulting executable to be covered by the GNU General Public
	License.  Your use of that executable is in no way restricted on
	account of linking the SANE library code into it.

	This exception does not, however, invalidate any other reasons why
	the executable file might be covered by the GNU General Public
	License.

	If you submit changes to SANE to the maintainers to be included in
	a subsequent release, you agree by submitting the changes that
	those changes may be distributed with this exception intact.

	If you write modifications of your own for SANE, it is your choice
	whether to permit this exception to apply to your modifications.
	If you do not wish that, delete this exception notice.

	This file provides a generic USB interface.  */
#ifndef _DEFINESCANNER_H_
#define _DEFINESCANNER_H_


/* in 300dpi*/
#define MAX_SCANNING_WIDTH               3600  
#define MAX_SCANNING_HEIGHT              5100

#define CALIBRATION_PIXEL_WIDTH			 22528 
#define CALIBRATION_900_PIXEL_WIDTH	     23040 
#define CALIBRATION_450_PIXEL_WIDTH	     24064 
#define CALIBRATION_225_PIXEL_WIDTH	     26112
#define CALIBRATION_112_PIXEL_WIDTH	     29696
#define CALIBRATION_72_PIXEL_WIDTH	     26112 
#define CALIBRATION_56_PIXEL_WIDTH	     30208


/* define moto parameter*/
#define MOTOR_FIRST_GPIO                 0x7c
#define MOTOR_SECOND_GPIO                0x64
#define MOTOR_TYPE                       BIPOLAR_FULL_3955_3966
#define MOTOR_CARRIAGE_HOME_STEPS        38000



/* define carriage home first speed(iBase1, accelerate and decelerate speed) 
and second speed(iBase2, fix speed)*/
#define CARRIAGE_HOME_iBASE1             2000
#define CARRIAGE_HOME_iBASE2             400
#define CARRIAGE_HOME_FIX_MOTOR_SPEED    800


#define REFLECTIVE_LINE_TIME_1800DPI             7.52 
#define NEGATIVE_LINE_TIME_1800DPI               7.52
#define POSITIVE_LINE_TIME_1800DPI               7.52
#define CALIB_NEGATIVE_LINE_TIME_1800DPI         7.52
#define CALIB_POSITIVE_LINE_TIME_1800DPI         7.52


#define REFLECTIVE_LINE_TIME_900DPI             7.68 
#define NEGATIVE_LINE_TIME_900DPI              10.81
#define POSITIVE_LINE_TIME_900DPI                 10.81
#define CALIB_NEGATIVE_LINE_TIME_900DPI         7.68
#define CALIB_POSITIVE_LINE_TIME_900DPI         7.68


#define REFLECTIVE_LINE_TIME_450DPI              10.18
#define NEGATIVE_LINE_TIME_450DPI               10.18
#define POSITIVE_LINE_TIME_450DPI                 10.18
#define CALIB_NEGATIVE_LINE_TIME_450DPI          7.68
#define CALIB_POSITIVE_LINE_TIME_450DPI          7.68


#define REFLECTIVE_LINE_TIME_225DPI              10.86
#define NEGATIVE_LINE_TIME_225DPI               10.86
#define POSITIVE_LINE_TIME_225DPI                10.86
#define CALIB_NEGATIVE_LINE_TIME_225DPI          8.36
#define CALIB_POSITIVE_LINE_TIME_225DPI          8.36


#define REFLECTIVE_LINE_TIME_112DPI              10.86 
#define NEGATIVE_LINE_TIME_112DPI                10.86
#define POSITIVE_LINE_TIME_112DPI                10.86
#define CALIB_NEGATIVE_LINE_TIME_112DPI          8.36
#define CALIB_POSITIVE_LINE_TIME_112DPI          8.36

#define REFLECTIVE_LINE_TIME_72DPI              8.52
#define NEGATIVE_LINE_TIME_72DPI                8.52
#define POSITIVE_LINE_TIME_72DPI                8.52

#define REFLECTIVE_LINE_TIME_56DPI              10.20
#define NEGATIVE_LINE_TIME_56DPI                 10.20
#define POSITIVE_LINE_TIME_56DPI                 10.20
#define CALIB_NEGATIVE_LINE_TIME_56DPI           8.70
#define CALIB_POSITIVE_LINE_TIME_56DPI           8.70

#define REFLECTIVE_LINE_TIME_50DPI               7.4
#define NEGATIVE_LINE_TIME_50DPI                 7.4
#define POSITIVE_LINE_TIME_50DPI                 7.4


/* Timing...  for 1800 dpi*/
#define SCAN_1800_PHTGTimingAdjust		          253
#define SCAN_1800_PH1_0				              0
#define SCAN_1800_PH1_1				              15
#define SCAN_1800_PH2_0				              4
#define SCAN_1800_PH2_1				              240
#define SCAN_1800_PH1B_0				          0
#define SCAN_1800_PH1B_1				          15
#define SCAN_1800_PH2B_0				          4
#define SCAN_1800_PH2B_1				          240
#define SCAN_1800_PHRS_0				          0
#define SCAN_1800_PHRS_1				          128
#define SCAN_1800_PHCP_0				          0
#define SCAN_1800_PHCP_1				          4
#define SCAN_1800_AFE_VSAMP_0			          2
#define SCAN_1800_AFE_VSAMP_1			          128
#define SCAN_1800_AFE_RSAMP_0			          2
#define SCAN_1800_AFE_RSAMP_1			          8
#define SCAN_1800_PH1234_IN_DUMMY_TG	          240
#define SCAN_1800_CCD_SETUP_REGISTER	          32


/* Timing...  for non 1800 dpi*/
#define SCAN_NON_1800_PHTGTimingAdjust	      253
#define SCAN_NON_1800_PH1_0			          0
#define SCAN_NON_1800_PH1_1			          15
#define SCAN_NON_1800_PH2_0			          4
#define SCAN_NON_1800_PH2_1			          240
#define SCAN_NON_1800_PH1B_0			      0
#define SCAN_NON_1800_PH1B_1			      15
#define SCAN_NON_1800_PH2B_0			      4
#define SCAN_NON_1800_PH2B_1			      240
#define SCAN_NON_1800_PHRS_0			      0
#define SCAN_NON_1800_PHRS_1			      128
#define SCAN_NON_1800_PHCP_0			      0
#define SCAN_NON_1800_PHCP_1			      4
#define SCAN_NON_1800_AFE_VSAMP_0		      2
#define SCAN_NON_1800_AFE_VSAMP_1		      128
#define SCAN_NON_1800_AFE_RSAMP_0		      2
#define SCAN_NON_1800_AFE_RSAMP_1		      8
#define SCAN_NON_1800_PH1234_IN_DUMMY_TG	  240 
#define SCAN_NON_1800_CCD_SETUP_REGISTER	  0

#define R_GAIN                          0
#define G_GAIN                          0
#define B_GAIN                          0
#define R_OFFSET                        0
#define G_OFFSET                        0
#define B_OFFSET                        0
#define R_DIRECTION                     0
#define G_DIRECTION                     0
#define B_DIRECTION                     0

#define PRE_MOVE_MOTOR_LENGTH_IN_DPI    1450

/*must be 8x*/
#define LINE_WHITE_CALIBRATION__16B_HEIGHT          80
#define LINE_PREVIEW_WHITE_CALIBRATION__16B_HEIGHT  20
#define LINE_DARK_CALIBRATION__16B_HEIGHT           10
#define TA_WHITE_CALIBRATION__16B_HEIGHT            40
#define TA_DARK_CALIBRATION__16B_HEIGHT             10

/* the length from block bar to start Cablitration position*/
#define BEFORE_SCANNING_MOTOR_FORWARD_PIXEL 20

/* if the motor is 1/8 step, setup MOTOR_STEP_MULTI as 8
 if the motor is 1/4 step, setup MOTOR_STEP_MULTI as 4
 if the motor is full step, setup MOTOR_STEP_MULTI as 1*/

#define MOTOR_QUARTER_STEP

#ifdef MOTOR_EIGHTH_STEP
#define MOTOR_STEP_MULTI                8
#define GPIO_95_Config                  0x68
#else
#define MOTOR_STEP_MULTI                4
#define GPIO_95_Config                  0x60
#endif

/* in 900 dpi*/
#define FIND_LEFT_TOP_WIDTH_IN_DIP          1024
#define FIND_LEFT_TOP_HEIGHT_IN_DIP         300
#define FIND_LEFT_TOP_CALIBRATE_RESOLUTION  450

/* in450dpi*/
#define TA_FIND_LEFT_TOP_WIDTH_IN_DIP          512
#define TA_FIND_LEFT_TOP_HEIGHT_IN_DIP         150

/* when the scanning width over than one, it will using software shading(in inch)*/
#define HARDWARE_SHADING_WIDTH              8.3

#define PREVIEW_RESOLUTION                  56

/*line calibration (bTA calibrationU)*/
#define TA_MOTOR_BACK_STEP_AFTER_FIND_BOUNDARY             360
#define TA_MOTOR_FORWARD_STEP_AFTER_READ_WHITE_DATA        1100 

/*#define _DO_HARDWARE_SETTING_*/

extern BYTE g_bMeanDarkShading;
extern BYTE g_bImagePixelAvg;
extern BYTE g_OutputRawData; 
extern BYTE g_bMeanDarkShading900dpi;  
extern BYTE g_bImagePixelAvg900dpi;

extern BYTE g_Lamp0PWM; 
extern BYTE g_Lamp1PWM;

extern BYTE g_PowerOnLampControl;

extern BYTE g_PowerOnLamp0PWM;


/*define the default value for g_bMeanDarkShading and g_bImagePixelAvg 
// the 0 value is not to do and 1 is to do it.
// g_bMeanDarkShading to do Dark shading with Mean is only for 1800dpi
//and the 900dpi and lowwer do pixel by pixel.*/
#define DEFAULT_MEAN_DARK_SHADING          0
#define DEFAULT_IMAGE_PIXEL_AVG            0
#define DEFAULT_OUPUT_RAW_DATA             0
#define DEFAULT_LAMP0_PWM                  200
#define DEFAULT_LAMP1_PWM                  127
#define DEFAULT_SOFTWARE_CALIBRATION       0

#define DEFAULT_POWERON_LAMP_CONTROL       0
#define DEFAULT_POWERON_LAMP0_PWM           200

#define DEFAULT_MEAN_DARK_SHADING_900DPI   0
#define DEFAULT_IMAGE_PIXEL_AVG_900DPI     0

/* use for adjust AD's offset*/
#define DARK_MAX_LEVEL                     50
#define DARK_MIN_LEVEL                     30 
#define WHITE_MAX_LEVEL                    180
#define WHITE_MIN_LEVEL                    160
#define MAX_LEVEL_RANGE         150
#define MIN_LEVEL_RANGE         140

/* for debug*/
#define _SHADING_OUTPUT



#define AVG_THRESHOLD    100



#endif   /*end of #ifndef _DEFINESCANNER_H_*/
