/* sane - Scanner Access Now Easy.
	Copyright (C) 2005 Mustek.
	Originally maintained by Mustek
	Author:Roy 2005.5.24

	This file is part of the SANE package.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA.

	As a special exception, the authors of SANE give permission for
	additional uses of the libraries contained in this release of SANE.

	The exception is that, if you link a SANE library with other files
	to produce an executable, this does not by itself cause the
	resulting executable to be covered by the GNU General Public
	License.  Your use of that executable is in no way restricted on
	account of linking the SANE library code into it.

	This exception does not, however, invalidate any other reasons why
	the executable file might be covered by the GNU General Public
	License.

	If you submit changes to SANE to the maintainers to be included in
	a subsequent release, you agree by submitting the changes that
	those changes may be distributed with this exception intact.

	If you write modifications of your own for SANE, it is your choice
	whether to permit this exception to apply to your modifications.
	If you do not wish that, delete this exception notice.

	This file provides a generic USB interface.  */
#define		ES01_00_AFEReg0				0x00
#define		ES01_01_AFEReg1				0x01
#define		ES01_02_AFEReg2				0x02
#define		ES01_03_AFEReg3				0x03
#define		ES01_04_AFEReset			0x04
#define		ES01_05_AFEReg4				0x05

#define		ES01_20_DACRed				0x20
#define		ES01_21_DACGreen			0x21
#define		ES01_22_DACBlue				0x22
#define		ES01_24_SignRed				0x24
#define		ES01_25_SignGreen			0x25
#define		ES01_26_SignBlue			0x26
#define		ES01_28_PGARed				0x28
#define		ES01_29_PGAGreen			0x29
#define		ES01_2A_PGABlue				0x2A

#define		ES01_00_AD9826Configuration	0x00
#define		ES01_02_AD9826MuxConfig		0x02
#define		ES01_04_AD9826PGARed		0x04
#define		ES01_06_AD9826PGAGreen		0x06
#define		ES01_08_AD9826PGABlue		0x08
#define		ES01_0A_AD9826OffsetRedP	0x0a
#define		ES01_0B_AD9826OffsetRedN	0x0b
#define		ES01_0C_AD9826OffsetGreenP	0x0c
#define		ES01_0D_AD9826OffsetGreenN	0x0d
#define		ES01_0E_AD9826OffsetBlueP	0x0e
#define		ES01_0F_AD9826OffsetBlueN	0x0f

#define	ES01_74_HARDWARE_SETTING	0x74
		/*{ bit[0]*/
			#define	MOTOR1_SERIAL_INTERFACE_G10_8_ENABLE	0x01
			#define	MOTOR1_SERIAL_INTERFACE_G10_8_DISABLE	0x00
		/*}
		 { bit[1]*/
			#define LED_OUT_G11_ENABLE	0x02
			#define LED_OUT_G11_DISABLE	0x00
		/*}
		//{ bit[2]*/
			#define	SLAVE_SERIAL_INTERFACE_G15_14_ENABLE	0x04
			#define	SLAVE_SERIAL_INTERFACE_G15_14_DISABLE	0x00
		/*}
		//{ bit[3]*/
			#define	SHUTTLE_CCD_ENABLE	0x08
			#define	SHUTTLE_CCD_DISABLE	0x00
		/*}
		//{ bit[4]*/
			#define	HARDWARE_RESET_ESIC_AFE_ENABLE	0x10
			#define	HARDWARE_RESET_ESIC_AFE_DISABLE	0x00
		/*}*/

#define		ES01_80_SOFTWARE_RESET		0x80
#define		ES01_81_AFE_CHANNEL_RED_LATCH_POS	0x81
#define		ES01_82_AFE_CHANNEL_GREEN_LATCH_POS	0x82
#define		ES01_83_AFE_CHANNEL_BLUE_LATCH_POS	0x83
#define		ES01_84_AFE_MALC_TIMING_ADJUST_0	0x84
#define		ES01_85_AFE_MALC_TIMING_ADJUST_1	0x85
#define		ES01_86_DisableAllClockWhenIdle		0x86
			/*{ bit[0]*/
			#define		CLOSE_ALL_CLOCK_ENABLE	0x01
			#define		CLOSE_ALL_CLOCK_DISABLE	0x00
			/*}*/
#define ES01_8A_FixScanStepMSB			0x8a
#define ES01_8B_Status					0x8b
		/*{ bit[4:0]*/
			#define		H1H0L1L0_PS_MJ				0x00
			#define		SCAN_STATE					0x01
			#define		GPIO0_7						0x02
			#define		GPIO8_15					0x03
			#define		AVAILABLE_BANK_COUNT0_7		0x04
			#define		AVAILABLE_BANK_COUNT8_15	0x05
			#define		RAM_ADDRESS_POINTER0_7		0x06
			#define		RAM_ADDRESS_POINTER8_15		0x07
			#define		RAM_ADDRESS_POINTER16_19	0x08
			#define		CARRIAGE_POS_DURING_SCAN0_7	0x09
			#define		CARRIAGE_POS_DURING_SCAN8_15	0x0a
			#define		CARRIAGE_POS_DURING_SCAN16_19	0x0b
			#define		LINE_TIME0_7				0x0C
			#define		LINE_TIME8_15				0x0d
			#define		LINE_TIME16_19				0x0e
			#define		LAST_COMMAND_ADDRESS		0x0f
			#define		LAST_COMMAND_DATA			0x10
			#define		SERIAL_READ_REGISTER_0		0x11
			#define		SERIAL_READ_REGISTER_1		0x12
			#define		SERIAL_READ_REGISTER_2		0x13
			#define		SERIAL_READ_REGISTER_3		0x14
			#define		MOTOR_STEP_TRIGER_POSITION7_0	0x15
			#define		MOTOR_STEP_TRIGER_POSITION15_8	0x16
			#define		MOTOR_STEP_TRIGER_POSITION23_16	0x17
			#define		CHIP_STATUS_A				0x18
			#define		CHIP_STRING_0				0x19
			#define		CHIP_STRING_1				0x1a
			#define		CHIP_STRING_2				0x1b
			#define		CHIP_STRING_3				0x1c
			#define		CHIP_STRING_4				0x1d
			#define		CHIP_STRING_5				0x1e
			#define		CHIP_STRING_6				0x1f
		/*}*/
#define ES01_8C_RestartMotorSynPixelNumberM16LSB	0x8c
#define ES01_8D_RestartMotorSynPixelNumberM16MSB	0x8d
#define ES01_90_Lamp0PWM				0x90
#define ES01_91_Lamp1PWM				0x91
#define ES01_92_TimerPowerSaveTime		0x92
#define ES01_93_MotorWatchDogTime		0x93
#define ES01_94_PowerSaveControl		0x94
		/*{ bit[0]*/
			#define		TIMER_POWER_SAVE_ENABLE		0x01
			#define		TIMER_POWER_SAVE_DISABLE	0x00
		/*}
		//{ bit[1]*/
			#define		USB_POWER_SAVE_ENABLE		0x02
			#define		USB_POWER_SAVE_DISABLE		0x00
		/*}
		//{ bit[2]*/
			#define		USB_REMOTE_WAKEUP_ENABLE	0x04
			#define		USB_REMOTE_WAKEUP_DISABLE	0x00
		/*}
		//{ bit[5:4]*/
			#define		LED_MODE_ON					0x00
			#define		LED_MODE_OFF				0x10			
			#define		LED_MODE_FLASH_SLOWLY		0x20
			#define		LED_MODE_FLASH_QUICKLY		0x30
		/*}*/
		
#define ES01_95_GPIOValue0_7			0x95
#define ES01_96_GPIOValue8_15			0x96
#define ES01_97_GPIOControl0_7			0x97
#define ES01_98_GPIOControl8_15			0x98
#define ES01_9A_AFEControl				0x9a
		/*{bit[0]*/
			#define ADI_AFE_ENABLE		0x01
			#define ADI_AFE_DISABLE		0x00			
		/*}
		//{bit[1]*/
			#define CCD_LINE_MODE_AUTO_CHANNEL_SELECT_ENABLE 0x02
			#define CCD_LINE_MODE_AUTO_CHANNEL_SELECT_DISABLE 0x00
		/*}
		//{bit[3:2]
		//}*/
#define ES01_9B_ShadingTableAddrA12_A19 0x9b
#define ES01_9C_ShadingTableAddrODDA12_A19 0x9c
#define ES01_9D_MotorTableAddrA12_A19	0x9d
#define ES01_9E_HorizontalRatio1to15LSB 0x9e
#define ES01_9F_HorizontalRatio1to15MSB 0x9f
#define ES01_A0_HostStartAddr0_7		0xa0
#define ES01_A1_HostStartAddr8_15		0xa1
#define ES01_A2_HostStartAddr16_19		0xa2
		/*{ bit[4]*/
			#define		ACCESS_DRAM					0x00
			#define		ACCESS_GAMMA_RAM			0x10
		/*}*/
#define ES01_A3_HostEndAddr0_7			0xa3
#define ES01_A4_HostEndAddr8_15			0xa4
#define ES01_A5_HostEndAddr16_19		0xa5
#define ES01_A6_MotorOption				0xa6
		/*{ bit[0]*/
			#define		MOTOR_0_ENABLE				0x01
			#define		MOTOR_0_DISABLE				0x00
		/*}
		//{	bit[1]*/
			#define		MOTOR_1_ENABLE				0x02
			#define		MOTOR_1_DISABLE				0x00
		/*}
		//{ bit[3:2]*/
			#define		HOME_SENSOR_0_ENABLE		0x00
			#define		HOME_SENSOR_1_ENABLE		0x04
			#define		HOME_SENSOR_BOTH_ENABLE		0x08
			#define		HOME_SENSOR_0_INVERT_ENABLE	0x0c
		/*}
		//{ bit[7:4]*/
			#define		UNIPOLAR_FULL_ONE_PHASE		0x00
			#define		UNIPOLAR_FULL_TWO_PHASE		0x10
			#define		UNIPOLAR_HALF				0x20
			#define		BIPOLAR_FULL_2916			0x30
			#define		BIPOLAR_HALF_2916			0x40
			#define		BIPOLAR_QUARTER_2916		0x50
			#define		BIPOLAR_1_OF_8_2916			0x60
			#define		BIPOLAR_FULL_3955_3966		0x70
			#define		BIPOLAR_HALF_3955_3966		0x80
			#define		BIPOLAR_QUARTER_3955		0x90
			#define		BIPOLAR_1_OF_8_3955			0xa0
			#define		UNIPOLAR_PWM_FULL_ONE_PHASE	0xb0
			#define		UNIPOLAR_PWM_FULL_TWO_PHASE	0xc0
			#define		UNIPOLAR_PWM_HALF			0xd0
			#define		UNIPOLAR_PWM_QUARTER		0xe0
			#define		UNIPOLAR_PWM_1_OF_8			0xf0
		/*}*/
#define ES01_A7_MotorPWMOnTimePhasA		0xa7
#define ES01_A8_MotorPWMOnTimePhasB		0xa8
#define ES01_A9_MotorPWMOffTimePhasA	0xa9
#define ES01_AA_MotorPWMOffTimePhasB	0xaa
#define ES01_AB_PWM_CURRENT_CONTROL		0xab
		/*{ bit[1:0]*/
			#define	MOTOR_PWM_CURRENT_0	0x00
			#define	MOTOR_PWM_CURRENT_1	0x01
			#define	MOTOR_PWM_CURRENT_2	0x02
			#define	MOTOR_PWM_CURRENT_3	0x03
		/*}
		//{ bit[3:2]*/
			#define	MOTOR1_GPO_VALUE_0	0x00
			#define	MOTOR1_GPO_VALUE_1	0x04
			#define	MOTOR1_GPO_VALUE_2	0x08
			#define	MOTOR1_GPO_VALUE_3	0x0c
		/*}
		//{ bit[4]*/
			#define	GPO_OUTPUT_ENABLE	0x10
			#define	GPO_OUTPUT_DISABLE	0x00
		/*}
		//{ bit[5]*/
			#define	SERIAL_PORT_CONTINUOUS_OUTPUT_ENABLE	0x20
			#define	SERIAL_PORT_CONTINUOUS_OUTPUT_DISABLE	0x00
		/*}*/
#define ES01_AC_MotorPWMJamRangeLSB		0xac
#define ES01_AD_MotorPWMJamRangeMSB		0xad
#define ES01_AE_MotorSycnPixelNumberM16LSB	0xae
#define ES01_AF_MotorSycnPixelNumberM16MSB	0xaf
#define	ES01_B0_CCDPixelLSB					0xb0
#define	ES01_B1_CCDPixelMSB					0xb1
#define ES01_B2_PHTGPulseWidth				0xb2
#define ES01_B3_PHTGWaitWidth				0xb3
#define ES01_B4_StartPixelLSB				0xb4
#define ES01_B5_StartPixelMSB				0xb5
#define ES01_B6_LineWidthPixelLSB			0xb6
#define ES01_B7_LineWidthPixelMSB			0xb7
#define ES01_B8_ChannelRedExpStartPixelLSB		0xb8
#define ES01_B9_ChannelRedExpStartPixelMSB		0xb9
#define ES01_BA_ChannelRedExpEndPixelLSB		0xba
#define ES01_BB_ChannelRedExpEndPixelMSB		0xbb
#define ES01_BC_ChannelGreenExpStartPixelLSB	0xbc
#define ES01_BD_ChannelGreenExpStartPixelMSB	0xbd
#define ES01_BE_ChannelGreenExpEndPixelLSB		0xbe
#define ES01_BF_ChannelGreenExpEndPixelMSB		0xbf
#define ES01_C0_ChannelBlueExpStartPixelLSB		0xc0
#define ES01_C1_ChannelBlueExpStartPixelMSB		0xc1
#define ES01_C2_ChannelBlueExpEndPixellSB		0xc2
#define ES01_C3_ChannelBlueExpEndPixelMSB		0xc3


#define ES01_C4_MultiTGTimesRed				0xc4
#define ES01_C5_MultiTGTimesGreen			0xc5
#define ES01_C6_MultiTGTimesBlue			0xc6
#define ES01_C7_MultiTGDummyPixelNumberLSB	0xc7
#define ES01_C8_MultiTGDummyPixelNumberMSB	0xc8
#define ES01_C9_CCDDummyPixelNumberLSB		0xc9
#define ES01_CA_CCDDummyPixelNumberMSB		0xca
#define ES01_CB_CCDDummyCycleNumber			0xcb
#define ES01_CC_PHTGTimingAdjust			0xcc
		/*{	bit[0]*/
			#define		PHTG_INVERT_OUTPUT_ENABLE			0x01
			#define		PHTG_INVERT_OUTPUT_DISABLE			0x00
		/*}*/
		/*{	bit[1]*/
			#define		TWO_TG								0x01
			#define		MULTI_TG							0x00
		/*}*/
		/*{	bit[3:2]*/
			#define		CCD_PIXEL_MODE_RED					0x0c
			#define		CCD_LINE_MOE_RED_00					0x00
			#define		CCD_LINE_MOE_RED_01					0x04
			#define		CCD_LINE_MOE_RED_10					0x08
		/*}*/
		/*{	bit[5:4]*/
			#define		CCD_PIXEL_MODE_GREEN				0x30
			#define		CCD_LINE_MOE_GREEN_00				0x00
			#define		CCD_LINE_MOE_GREEN_01				0x40
			#define		CCD_LINE_MOE_GREEN_10				0x80
		/*}*/
		/*{	bit[7:6]*/
			#define		CCD_PIXEL_MODE_BLUE					0xc0
			#define		CCD_LINE_MOE_BLUE_00				0x00
			#define		CCD_LINE_MOE_BLUE_01				0x40
			#define		CCD_LINE_MOE_BLUE_10				0x80
		/*}*/

#define ES01_CD_PH1_0						0xcd
#define ES01_CE_PH1_1						0xce
#define ES01_CF_PH2_0						0xcf
#define ES01_D0_PH2_1						0xd0
#define ES01_D1_PH1B_0						0xd1
#define ES01_D2_PH1B_1						0xd2
#define ES01_D3_PH2B_0						0xd3
#define ES01_D4_PH2B_1						0xd4
#define ES01_D5_PHRS_0						0xd5
#define ES01_D6_PHRS_1						0xd6
#define ES01_D7_PHCP_0						0xd7
#define ES01_D8_PHCP_1						0xd8
#define ES01_D9_AFE_VSAMP_0					0xd9
#define ES01_DA_AFE_VSAMP_1					0xda
#define ES01_DB_AFE_RSAMP_0					0xdb
#define ES01_DC_AFE_RSAMP_1					0xdc
#define ES01_DD_PH1234_IN_DUMMY_TG			0xdd
#define ES01_DE_CCD_SETUP_REGISTER			0xde
#define ES01_DF_ICG_CONTROL					0xdf
		/*{	bit[2:0]*/
			#define	BEFORE_PHRS_0_ns		0x00
			#define	BEFORE_PHRS_416_7t_ns	0x01
			#define	BEFORE_PHRS_416_6t_ns	0x02
			#define	BEFORE_PHRS_416_5t_ns	0x03
			#define	BEFORE_PHRS_416_4t_ns	0x04
			#define	BEFORE_PHRS_416_3t_ns	0x05
			#define	BEFORE_PHRS_416_2t_ns	0x06
			#define	BEFORE_PHRS_416_1t_ns	0x07
		/*}*/
		/*{	bit[2:0]*/
			#define	ICG_UNIT_1_PIXEL_TIME	0x00
			#define	ICG_UNIT_4_PIXEL_TIME	0x10
			#define	ICG_UNIT_8_PIXEL_TIME	0x20
			#define	ICG_UNIT_16_PIXEL_TIME	0x30
			#define	ICG_UNIT_32_PIXEL_TIME	0x40
			#define	ICG_UNIT_64_PIXEL_TIME	0x50
			#define	ICG_UNIT_128_PIXEL_TIME	0x60
			#define	ICG_UNIT_256_PIXEL_TIME	0x70
		/*}*/

#define ES01_E0_MotorAccStep0_7				0xe0
#define ES01_E1_MotorAccStep8_8				0xe1
#define ES01_E2_MotorStepOfMaxSpeed0_7		0xe2
#define ES01_E3_MotorStepOfMaxSpeed8_15		0xe3
#define ES01_E4_MotorStepOfMaxSpeed16_19	0xe4
#define ES01_E5_MotorDecStep				0xe5
#define ES01_E6_ScanBackTrackingStepLSB		0xe6
#define ES01_E7_ScanBackTrackingStepMSB		0xe7
#define ES01_E8_ScanRestartStepLSB			0xe8
#define ES01_E9_ScanRestartStepMSB			0xe9
#define ES01_EA_ScanBackHomeExtStepLSB		0xea
#define ES01_EB_ScanBackHomeExtStepMSB		0xeb
#define ES01_EC_ScanAccStep0_7				0xec
#define ES01_ED_ScanAccStep8_8				0xed
#define ES01_EE_FixScanStepLSB				0xee
#define ES01_EF_ScanDecStep					0xef
#define ES01_F0_ScanImageStep0_7			0xf0
#define ES01_F1_ScanImageStep8_15			0xf1
#define ES01_F2_ScanImageStep16_19			0xf2

#define ES01_F3_ActionOption				0xf3
		/*{	bit[0]*/
			#define		MOTOR_MOVE_TO_FIRST_LINE_ENABLE			0x01
			#define		MOTOR_MOVE_TO_FIRST_LINE_DISABLE		0x00
		/*}*/
		/*{	bit[1]*/
			#define		MOTOR_BACK_HOME_AFTER_SCAN_ENABLE		0x02
			#define		MOTOR_BACK_HOME_AFTER_SCAN_DISABLE		0x00
		/*}*/
		/*{	bit[2]*/
			#define		SCAN_ENABLE								0x04
			#define		SCAN_DISABLE							0x00
		/*}*/
		/*{	bit[3]*/
			#define		SCAN_BACK_TRACKING_ENABLE				0x08
			#define		SCAN_BACK_TRACKING_DISABLE				0x00
		/*}*/
		/*{	bit[4]*/
			#define		INVERT_MOTOR_DIRECTION_ENABLE			0x10
			#define		INVERT_MOTOR_DIRECTION_DISABLE			0x00
		/*}*/
		/*{	bit[5]*/
			#define		UNIFORM_MOTOR_AND_SCAN_SPEED_ENABLE		0x20
			#define		UNIFORM_MOTOR_AND_SCAN_SPEED_DISABLE	0x00
		/*}*/
		/*{	bit[7]*/
			#define		MOTOR_TEST_LOOP_ENABLE					0x80
			#define		MOTOR_TEST_LOOP_DISABLE					0x00
		/*}*/
#define ES01_F4_ActiveTriger				0xf4
		/*{ bit[0]*/
			#define		ACTION_TRIGER_ENABLE			0x01
			#define		ACTION_TRIGER_DISABLE			0x00
		/*}*/
#define ES01_F5_ScanDataFormat				0xf5
		/*{ bit[0]*/
			#define		COLOR							0x00
			#define		GRAY							0x01
		/*}*/
		/*{ bit[1]*/
			#define		_8_BITS							0x00
			#define		_16_BITS						0x02
		/*}*/
		/*{ bit[3:2]*/
			#define		GRAY_RED						0x00
			#define		GRAY_GREEN						0x04
			#define		GRAY_BLUE						0x08
			#define		GRAY_GREEN_BLUE					0x0c
		/*}*/
		/*{ bit[5:4]*/
			#define		SHADING_2_INT_14_DEC			0x00
			#define		SHADING_3_INT_13_DEC			0x10
			#define		SHADING_4_INT_12_DEC			0x20
			#define		SHADING_5_INT_11_DEC			0x30
		/*}*/
		/*{ bit[6]*/
			#define		SHADING_ENABLE					0x00
			#define		SHADING_DISABLE					0x40
		/*}*/
		/*{ bit[7]*/
			#define		GAMMA_ENABLE					0x00
			#define		GAMMA_DISABLE					0x80
		/*}*/
#define ES01_F6_MorotControl1				0xf6
		/*{ bit[2:0]*/
			#define		SPEED_NUIT_1_PIXEL_TIME			0x00
			#define		SPEED_NUIT_2_PIXEL_TIME			0x01
			#define		SPEED_NUIT_4_PIXEL_TIME			0x02
			#define		SPEED_NUIT_16_PIXEL_TIME		0x03
			#define		SPEED_NUIT_32_PIXEL_TIME		0x04
			#define		SPEED_NUIT_64_PIXEL_TIME		0x05
			#define		SPEED_NUIT_128_PIXEL_TIME		0x06
			#define		SPEED_NUIT_256_PIXEL_TIME		0x07
		/*}*/
		/*{ bit[5:4]*/
			#define		MOTOR_SYNC_NUIT_1_PIXEL_TIME		0x00
			#define		MOTOR_SYNC_NUIT_16_PIXEL_TIME		0x10
			#define		MOTOR_SYNC_NUIT_64_PIXEL_TIME		0x20
			#define		MOTOR_SYNC_NUIT_256_PIXEL_TIME		0x30			
		/*}*/
#define ES01_F7_DigitalControl							0xf7
		/*{ bit[0]*/
			#define		DIGITAL_REDUCE_ENABLE	0x01
			#define		DIGITAL_REDUCE_DISABLE	0x00
		/*}*/
		/*{ bit[3:1]*/
			#define		DIGITAL_REDUCE_1_1		0x00
			#define		DIGITAL_REDUCE_1_2		0x02
			#define		DIGITAL_REDUCE_1_4		0x04
			#define		DIGITAL_REDUCE_1_8		0x06
			#define		DIGITAL_REDUCE_1_16		0x08
		/*}*/
#define ES01_F8_DRAMType					0xf8
		/*{ bit[1:0]*/
			#define		DRAM_256Kx16					0x00
			#define		DRAM_1Mx16						0x01
			#define		DRAM_256Kx16x2					0x02
		/*}*/
		/*{ bit[6:4]*/
			#define		DRAM_TIMING_0		0x00
			#define		DRAM_TIMING_1		0x10
			#define		DRAM_TIMING_2		0x20
			#define		DRAM_TIMING_3		0x30
			#define		DRAM_TIMING_4		0x40
			#define		DRAM_TIMING_5		0x50
			#define		DRAM_TIMING_6		0x60
			#define		DRAM_TIMING_7		0x70
		/*}*/
	
#define ES01_F9_BufferFullSize16WordLSB		0xf9
#define ES01_FA_BufferFullSize16WordMSB		0xfa
#define ES01_FB_BufferEmptySize16WordLSB	0xfb
#define ES01_FC_BufferEmptySize16WordMSB	0xfc
#define ES01_FD_MotorFixedspeedLSB			0xfd
#define ES01_FE_MotorFixedspeedMSB			0xfe
#define ES01_FF_TestControl					0xff
		/*{ bit[0]*/
			#define		BYPASS_AFE_ENABLE				0x01
			#define		BYPASS_AFE_DISABLE				0x00
		/*}*/


#define S12_A2_HostStartAddr16_21		0xa2
		/*{ bit[7]*/
			#define		S12_ACCESS_DRAM					0x00
			#define		S12_ACCESS_GAMMA_RAM			0x80
		/*}*/
